Never Pay your Mortgage

    This package has been deprecated

    Author message:

    please use @telus/eslint-config

    @telusdigital/eslint-config

    1.2.0 • Public • Published

    ESLint Config version License

    TELUS Flavour ESLint config.

    We inherit from the excellent Airbnb ESLint config and introduce some more strict requirements.

    Usage

    Our default export contains all of our ESLint rules, including ECMAScript 6+ and React. It requires eslint, eslint-plugin-import, eslint-plugin-react, and eslint-plugin-jsx-a11y.

    If you use yarn, run yarn add --dev @telusdigital/eslint-config-base eslint-plugin-import eslint-plugin-react eslint-plugin-jsx-a11y.

    If you use Docker for local development, you would have to run the ESLint fix with yarn with the command line, through your package.json, before you build the container. Your build will break if you try to run ESLint fix through Docker.

    1. Install the correct versions of each package, which are listed by the command:
    yarn info "@telusdigital/eslint-config@latest" peerDependencies

    You can either install all the peer dependencies manually or use the [install-peerdeps][install-peer-deps] cli tool.

    yarn global add install-peerdeps
    install-peerdeps --dev @telusdigital/eslint-config

    The cli will produce and run a command like:

    yarn install --save-dev @telusdigital/eslint-config eslint@^#.#.# eslint-plugin-jsx-a11y@^#.#.# eslint-plugin-import@^#.#.# eslint-plugin-react@^#.#.#
    1. Add to your .eslintrc
    {
      "extends": "@telusdigital/eslint-config"
    }

    ©️ TELUS digital  ·  License: ISC  ·  Github: @telusdigital  ·  Twitter: @telusdigital

    Install

    npm i @telusdigital/eslint-config

    DownloadsWeekly Downloads

    75

    Version

    1.2.0

    License

    ISC

    Last publish

    Collaborators

    • pdufault
    • telusdigital-admin
    • stv-telus